﻿function getAMServerList(data) {
	var obj = {};
	obj.aMServerList = new Array();

	for(var i=0; i< data.length; i++){
		obj.aMServerList[i] = {};
		obj.aMServerList[i].status = data[i]._conn_stat;
		obj.aMServerList[i].serverName = data[i]._server_name;
		obj.aMServerList[i].serverIp = data[i]._ip;
		obj.aMServerList[i].userNum = data[i]._user;
		obj.aMServerList[i].userMaxNum = data[i]._user_max;
		obj.aMServerList[i].port = data[i]._port;
		obj.aMServerList[i].response = data[i]._ping;
		obj.aMServerList[i].fileCount = data[i]._file;
		obj.aMServerList[i].priority = data[i]._prio;
		obj.aMServerList[i].failCount = data[i]._fail;
	}

	return obj;
};
function getAMStatus(data) {
	var obj = {};
	obj.myInfoData = new Array();

	obj.myInfoData[0] = {};

	if(data[0]._eD2k_status == "Disabled"){
		obj.myInfoData[0].eD2kStatus = data[0]._eD2k_status;
	}
	else{
		obj.myInfoData[0].eD2kStatus = data[0]._eD2k_status;
		obj.myInfoData[0].eD2kId = data[0]._eD2k_status_ID;
		obj.myInfoData[0].eD2kIp = data[0]._eD2k_server_IP;
		obj.myInfoData[0].eD2kPort = data[0]._eD2k_server_port;
		obj.myInfoData[0].kadStatus = data[0]._Kad;
		obj.myInfoData[0].dlSpeed = data[0]._Download_speed;
		obj.myInfoData[0].ulSpeed = data[0]._Upload_speed;
		obj.myInfoData[0].queue = data[0]._Clients_in_queue;
		obj.myInfoData[0].sources = data[0]._Total_sources;
	}

	return obj;
};
function getDownloadingAMFile(data) {
	var obj = {};
	obj.aMDownloadList = new Array();


	for(var i=0;i<data.length;i++) {
		var responseObj = new Object();
		responseObj.name = data[i]._filename;
		responseObj.fileSize = data[i]._filesize;
		responseObj.doneSize = data[i]._donesize;
		responseObj.status = data[i]._status;
		responseObj.source = data[i]._source;
		responseObj.hash = data[i]._hash;

		responseObj.completedDegree = data[i]._downloaded_ratio;//completed degree
		responseObj.ETA = data[i]._remaining;
		responseObj.priority = data[i]._priority;

		if (data[i]._speed > 0) {
			responseObj.downSpeedDisplay = convertBytes(data[i]._speed)+"/s";
			responseObj.downSpeed = data[i]._speed;
		}
		else {
			responseObj.downSpeed = '0';
			responseObj.downSpeedDisplay = '--';
		}

		var left_time = '--';
		var hour = '0';
		var min = '0';
		var sec = '0';
		if(data[i]._remaining != -1){
			sec = data[i]._remaining % 60;

			if(data[i]._remaining >= 60)
				min = (data[i]._remaining / 60).toFixed(0);

			if ( min >= 60 ) {
				hour = (min / 60).toFixed(0);
				min = min % 60;
				if (sec<10) sec = "0" + sec;
				if (min<10) min = "0" + min;
				if (hour<10) hour = "0" + hour;
				left_time = hour+":"+min+":"+sec;
			}
			else if (sec > 0){
				if (sec<10) sec = "0" + sec;
				if (min<10) min = "0" + min;
				left_time = min+":"+sec;
			}
		}
		responseObj.time = left_time;


		obj.aMDownloadList.push(responseObj);
	}

	return obj;
}
function getUploadingAMFile(data) {
	var obj = {};
	obj.aMUploadList = new Array();


	for(var i=0;i<data.length;i++) {
		var responseObj = new Object();

		responseObj.status = data[i]._upload_state;
		responseObj.userName = data[i]._client_name;
		responseObj.hash = data[i]._client_hash;
		responseObj.name = data[i]._filename;
		responseObj.uploadedSize = data[i]._uploaded_size;
		responseObj.waitedTime = data[i]._waited_time;
		responseObj.transferredTime = data[i]._xfer_time;

		if (data[i]._speed > 0) {
			responseObj.upSpeedDisplay = convertBytes(data[i]._speed)+"/s";
			responseObj.upSpeed = data[i]._speed;
		}
		else {
			responseObj.upSpeed = '0';
			responseObj.upSpeedDisplay = '--';
		}

		obj.aMUploadList.push(responseObj);
	}

	return obj;
}
function getCompletedAMFile(data) {
	var obj = {};
	obj.aMCompleteList = new Array();

	for(var i=0;i<data.length;i++) {
		var responseObj = new Object();
		responseObj.name = data[i]._filename;
		responseObj.fileSize = data[i]._filesize;
		responseObj.transSize = data[i]._xferred_size;
		responseObj.transAllSize = data[i]._xferred_size_all;
		responseObj.request = data[i]._request;
		responseObj.requestAll = data[i]._request_all;
		responseObj.accReq = data[i]._accepted;
		responseObj.accReqAll = data[i]._accepted_all;
		responseObj.hash = data[i]._hash;
		responseObj.priority = data[i]._priority;

		obj.aMCompleteList.push(responseObj);
	}
	return obj;
}
function getAMDefaultLocation(data) {
	var obj = {};
	obj.defaultLocation = data[0]._Incoming_path;
	obj.tmpDefaultLocation = data[0]._Temp_path;
	return obj;
}
function getAMBandwith(data) {
	var obj = {};
	obj.aMUpBandwith = data[0]._Bandwidth_limit_upload;
	obj.aMDownBandwith = data[0]._Bandwidth_limit_download;
	return obj;
}
function getAMNickName(data) {
	var obj = {};
	obj.nickName = data[0]._Nickname;
	return obj;
}
function getAMMaxConn(data) {
	var obj = {};
	obj.maxConn = data[0]._Max_connection;
	return obj;
}
function getAMPort(data) {
	var obj = {};
	obj.aMTCPPort = data[0]._TCP_port;
	obj.aMUDPPort = data[0]._UDP_port;
	return obj;
}
function getSearchResult(data) {
	var obj = {};
	obj.searchResultList = new Array();

	for(var i=0;i<data.length;i++) {
		var responseObj = new Object();

		responseObj.serialNo = data[i]._serialNo;
		responseObj.name = data[i]._filename;
		responseObj.fileSize = data[i]._filesize;
		responseObj.hash = data[i]._hash;
		responseObj.sourceCount = data[i]._source;
		responseObj.color = data[i]._color;

		obj.searchResultList.push(responseObj);
	}
	return obj;
}
function getExecResult(data) {
	var obj = {};
	obj.status = data[0]._status;
	return obj;
}
function getOneDlInfoFile1(data) {
	var responseObj = {};

	responseObj.hash = data[0]._hash;
	responseObj.name = data[0]._filename;
	responseObj.partName = data[0]._partname;
	responseObj.ed2k = data[0]._ed2k;
	responseObj.fileSize = data[0]._filesize;
	responseObj.doneSize = data[0]._donesize;
	responseObj.status = data[0]._status;
	responseObj.source = data[0]._source;
	responseObj.sourceXfer = data[0]._source_xfer;
	responseObj.sourceA4af = data[0]._source_a4af;
	responseObj.category = data[0]._category;
	responseObj.seenComplete = data[0]._last_seen_comlpete;

	responseObj.completedDegree = data[0]._downloaded_ratio;//completed degree
	responseObj.ETA = data[0]._remaining;
	responseObj.priority = data[0]._priority;

	if (data[0]._speed > 0) {
		responseObj.downSpeedDisplay = convertBytes(data[0]._speed)+"/s";
		responseObj.downSpeed = data[0]._speed;
	}
	else {
		responseObj.downSpeed = '0';
		responseObj.downSpeedDisplay = '--';
	}

	var left_time = '--';
	var hour = '0';
	var min = '0';
	var sec = '0';
	if(data[0]._remaining != -1){
		sec = data[0]._remaining % 60;

		if(data[0]._remaining >= 60)
			min = (data[0]._remaining / 60).toFixed(0);

		if ( min >= 60 ) {
			hour = (min / 60).toFixed(0);
			min = min % 60;
			if (sec<10) sec = "0" + sec;
			if (min<10) min = "0" + min;
			if (hour<10) hour = "0" + hour;
			left_time = hour+":"+min+":"+sec;
		}
		else if (sec > 0){
			if (sec<10) sec = "0" + sec;
			if (min<10) min = "0" + min;
			left_time = min+":"+sec;
		}
	}
	responseObj.time = left_time;

	return responseObj;
}
function getOneUpInfoFile1(data) {
	var responseObj = new Object();

	responseObj.status = data[0]._client_up_state;
	responseObj.hash = data[0]._hash_client;
	responseObj.hashFile = data[0]._hash_file;
	responseObj.fileName = data[0]._filename;
	responseObj.clientName = data[0]._client_name;
	responseObj.clientId = data[0]._client_id_status;
	responseObj.upSpeed = convertBytes(data[0]._speed_up)+"/s";
	responseObj.downSpeed = convertBytes(data[0]._speed_down)+"/s";
	responseObj.upTransfTotal = data[0]._xfer_up_total;
	responseObj.downTransfTotal = data[0]._xfer_down_total;
	responseObj.upTransfSession = data[0]._xfer_up_session;
	responseObj.software = data[0]._client_software;
	responseObj.waitTime= data[0]._wait_time;
	responseObj.transferredTime = data[0]._xfer_time;
	responseObj.lastReqTime = data[0]._last_request_time;
	responseObj.queueTime = data[0]._queue_time;
  responseObj.clientFrom = data[0]._client_from;
	responseObj.clientIp = data[0]._client_ip;
	responseObj.clientPort = data[0]._client_port;
	responseObj.serverIp = data[0]._server_ip;
	responseObj.serverPort = data[0]._server_port;
	responseObj.serverName = data[0]._server_name;
	responseObj.softwareVersion = data[0]._client_software_version;
	responseObj.score = data[0]._score;
	responseObj.waitingPosition = data[0]._waiting_position;

	return responseObj;
}
function getOneSharedInfoFile1(data) {

	var responseObj = new Object();
	responseObj.name = data[0]._filename;
	responseObj.ed2k = data[0]._ed2k;
	responseObj.hash = data[0]._hash;
	responseObj.hashAich = data[0]._hash_aich;
	responseObj.priority = data[0]._priority;
	responseObj.fileSize = data[0]._filesize;
	responseObj.xferredSize = data[0]._xferred_size;
	responseObj.xferredSizeAll = data[0]._xferred_size_all;
	responseObj.request = data[0]._request;
	responseObj.accepted = data[0]._accepted;
	responseObj.acceptedAll = data[0]._accepted_all;

	return responseObj;
}
function getFileNameList1(data) {
	var obj = {};
	obj.fileNameList = new Array();

	for(var i=0;i<data.length;i++) {
		var responseObj = new Object();
		responseObj.name = data[i]._filename;
		responseObj.count = data[i]._count;

		obj.fileNameList.push(responseObj);
	}
	return obj;
}